Netz AusTeilForm

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Mesh FromPartShape and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

Mesh MeshFromShape.png {{{Name/de}}}

Menüeintrag
Polygonnetze → Erzeuge Polygonnetz aus Form
Arbeitsbereich
Polygonnetz
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch


Einführung

Dieser Befehl erzeugt ein Netz aus einem Formobjekt.

Anwendung

Es gibt zwei Methoden:

  1. Entweder Du wählst das Formobjekt, dann wähle MeshesMesh Mesh from Shape.svg Netz aus Form erstellen... im oberen Menü.
  2. Einfach nur MeshesMesh Mesh from Shape.svg Netz aus Form erstellen... gibt Dir ein zusätzliches Menü, in dem Du Ihre Form für das Netz auswählen kannst.

In beiden Fällen erhälst Du ein Menü, das nach dem zu verwendenden Mesher Programm und dessen Einstellungen fragt.
Die Einstellungen, die Du dort vornimmst, werden gespeichert und als Voreinstellung für die nächste Erstellung eines Netzes aus einer Form verwendet. introduced in version 0.19.

Vernetzer Programm

Du kannst eines dieser 3 Vernetzer Programme wählen:

Standard Vernetzer

Standard Vernetzer

Du kannst diese Einstellungen ändern:

Mefisto Vernetzer

Mesh Mesher Mefisto.jpg

Die einzige Einstellung ist:

  • Maximale Kantenlänge: Wenn diese Zahl kleiner ist, wird das Netz feiner. Der kleinste Wert ist 0.

Netgen Vernetzer

Mesh Mesher Netgen.jpg

Beispiel:

Arrow-left.svg Mesh ExportMesh.png Netz exportieren Vorherige:
Nächste: Krümmungsplot Mesh CurvaturePlot.png Arrow-right.svg

Skripten

Dieses Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

MeshPart.meshFromShape(Shape=Shape, MaxLength=520)

Beispiel:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

Hinweise